CVE-2011-1224

Current Description

IBM WebSphere MQ 6.0 before 6.0.2.11 and 7.0 before 7.0.1.5 does not use the CRL Distribution Points (CDP) certificate extension, which might allow man-in-the-middle attackers to spoof an SSL partner via a revoked certificate for a (1) client, (2) queue manager, or (3) application.

Basic Data

PublishedJuly 07, 2011
Last ModifiedAugust 17, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-264
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:M/Au:N/C:N/I:P/A:N
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityMEDIUM
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactNONE
CVSS 2 - Availability ImpactNONE
CVSS 2 - Base Score4.3
SeverityMEDIUM
Exploitability Score8.6
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationIbmWebsphere Mq6.0*******
    2.3ApplicationIbmWebsphere Mq6.0.1.0*******
    2.3ApplicationIbmWebsphere Mq6.0.1.1*******
    2.3ApplicationIbmWebsphere Mq6.0.2.0*******
    2.3ApplicationIbmWebsphere Mq6.0.2.1*******
    2.3ApplicationIbmWebsphere Mq6.0.2.2*******
    2.3ApplicationIbmWebsphere Mq6.0.2.3*******
    2.3ApplicationIbmWebsphere Mq6.0.2.4*******
    2.3ApplicationIbmWebsphere Mq6.0.2.5*******
    2.3ApplicationIbmWebsphere Mq6.0.2.6*******
    2.3ApplicationIbmWebsphere Mq6.0.2.7*******
    2.3ApplicationIbmWebsphere Mq6.0.2.8*******
    2.3ApplicationIbmWebsphere Mq6.0.2.9*******
    2.3ApplicationIbmWebsphere Mq6.0.2.10*******
  • OR - Configuration 2
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationIbmWebsphere Mq7.0*******
    2.3ApplicationIbmWebsphere Mq7.0.0.1*******
    2.3ApplicationIbmWebsphere Mq7.0.0.2*******
    2.3ApplicationIbmWebsphere Mq7.0.1.0*******
    2.3ApplicationIbmWebsphere Mq7.0.1.1*******
    2.3ApplicationIbmWebsphere Mq7.0.1.2*******
    2.3ApplicationIbmWebsphere Mq7.0.1.3*******
    2.3ApplicationIbmWebsphere Mq7.0.1.4*******

Vulnerable Software List

VendorProductVersions
Ibm Websphere Mq 6.0, 6.0.1.0, 6.0.1.1, 6.0.2.0, 6.0.2.1, 6.0.2.10, 6.0.2.2, 6.0.2.3, 6.0.2.4, 6.0.2.5, 6.0.2.6, 6.0.2.7, 6.0.2.8, 6.0.2.9, 7.0, 7.0.0.1, 7.0.0.2, 7.0.1.0, 7.0.1.1, 7.0.1.2, 7.0.1.3, 7.0.1.4

References

NameSourceURLTags
IZ92813http://www.ibm.com/support/docview.wss?uid=swg1IZ92813AIXAPAR
http://www-01.ibm.com/support/docview.wss?uid=swg27007069http://www-01.ibm.com/support/docview.wss?uid=swg27007069CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg27014224http://www-01.ibm.com/support/docview.wss?uid=swg27014224CONFIRM
websphere-mq-cdb-security-bypass(68229)https://exchange.xforce.ibmcloud.com/vulnerabilities/68229XF